/*
CVE Services API

The CVE Services API supports automation tooling for the CVE Program. Credentials are     required for most service endpoints. Representatives of     <a href='https://www.cve.org/ProgramOrganization/CNAs'>CVE Numbering Authorities (CNAs)</a> should     use one of the methods below to obtain credentials:    <ul><li>If your organization already has an Organizational Administrator (OA) account for the CVE     Services, ask your admin for credentials</li>     <li>Contact your Root (<a href='https://www.cve.org/PartnerInformation/ListofPartners/partner/Google'>Google</a>,     <a href='https://www.cve.org/PartnerInformation/ListofPartners/partner/INCIBE'>INCIBE</a>,     <a href='https://www.cve.org/PartnerInformation/ListofPartners/partner/jpcert'>JPCERT/CC</a>, or     <a href='https://www.cve.org/PartnerInformation/ListofPartners/partner/redhat'>Red Hat</a>) or     Top-Level Root (<a href='https://www.cve.org/PartnerInformation/ListofPartners/partner/icscert'>CISA ICS</a>     or <a href='https://www.cve.org/PartnerInformation/ListofPartners/partner/mitre'>MITRE</a>) to request credentials     </ul>     <p>CVE data is to be in the JSON 5.0 CVE Record format. Details of the JSON 5.0 schema are     located <a href='https://github.com/CVEProject/cve-schema/tree/master/schema/v5.0' target='_blank'>here</a>.</p>    <a href='https://cveform.mitre.org/' class='link' target='_blank'>Contact the CVE Services team</a>

API version: 2.1.4
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package cveapi

import (
	"encoding/json"
)

// checks if the ListCveIdsResponseCveIdsInnerRequestedBy type satisfies the MappedNullable interface at compile time
var _ MappedNullable = &ListCveIdsResponseCveIdsInnerRequestedBy{}

// ListCveIdsResponseCveIdsInnerRequestedBy struct for ListCveIdsResponseCveIdsInnerRequestedBy
type ListCveIdsResponseCveIdsInnerRequestedBy struct {
	// The shortname for the organization of the user that requested the ID
	Cna *string `json:"cna,omitempty"`
	// The username for the account that requested the ID
	User *string `json:"user,omitempty"`
}

// NewListCveIdsResponseCveIdsInnerRequestedBy instantiates a new ListCveIdsResponseCveIdsInnerRequestedBy object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewListCveIdsResponseCveIdsInnerRequestedBy() *ListCveIdsResponseCveIdsInnerRequestedBy {
	this := ListCveIdsResponseCveIdsInnerRequestedBy{}
	return &this
}

// NewListCveIdsResponseCveIdsInnerRequestedByWithDefaults instantiates a new ListCveIdsResponseCveIdsInnerRequestedBy object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewListCveIdsResponseCveIdsInnerRequestedByWithDefaults() *ListCveIdsResponseCveIdsInnerRequestedBy {
	this := ListCveIdsResponseCveIdsInnerRequestedBy{}
	return &this
}

// GetCna returns the Cna field value if set, zero value otherwise.
func (o *ListCveIdsResponseCveIdsInnerRequestedBy) GetCna() string {
	if o == nil || IsNil(o.Cna) {
		var ret string
		return ret
	}
	return *o.Cna
}

// GetCnaOk returns a tuple with the Cna field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *ListCveIdsResponseCveIdsInnerRequestedBy) GetCnaOk() (*string, bool) {
	if o == nil || IsNil(o.Cna) {
		return nil, false
	}
	return o.Cna, true
}

// HasCna returns a boolean if a field has been set.
func (o *ListCveIdsResponseCveIdsInnerRequestedBy) HasCna() bool {
	if o != nil && !IsNil(o.Cna) {
		return true
	}

	return false
}

// SetCna gets a reference to the given string and assigns it to the Cna field.
func (o *ListCveIdsResponseCveIdsInnerRequestedBy) SetCna(v string) {
	o.Cna = &v
}

// GetUser returns the User field value if set, zero value otherwise.
func (o *ListCveIdsResponseCveIdsInnerRequestedBy) GetUser() string {
	if o == nil || IsNil(o.User) {
		var ret string
		return ret
	}
	return *o.User
}

// GetUserOk returns a tuple with the User field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *ListCveIdsResponseCveIdsInnerRequestedBy) GetUserOk() (*string, bool) {
	if o == nil || IsNil(o.User) {
		return nil, false
	}
	return o.User, true
}

// HasUser returns a boolean if a field has been set.
func (o *ListCveIdsResponseCveIdsInnerRequestedBy) HasUser() bool {
	if o != nil && !IsNil(o.User) {
		return true
	}

	return false
}

// SetUser gets a reference to the given string and assigns it to the User field.
func (o *ListCveIdsResponseCveIdsInnerRequestedBy) SetUser(v string) {
	o.User = &v
}

func (o ListCveIdsResponseCveIdsInnerRequestedBy) MarshalJSON() ([]byte, error) {
	toSerialize,err := o.ToMap()
	if err != nil {
		return []byte{}, err
	}
	return json.Marshal(toSerialize)
}

func (o ListCveIdsResponseCveIdsInnerRequestedBy) ToMap() (map[string]interface{}, error) {
	toSerialize := map[string]interface{}{}
	if !IsNil(o.Cna) {
		toSerialize["cna"] = o.Cna
	}
	if !IsNil(o.User) {
		toSerialize["user"] = o.User
	}
	return toSerialize, nil
}

type NullableListCveIdsResponseCveIdsInnerRequestedBy struct {
	value *ListCveIdsResponseCveIdsInnerRequestedBy
	isSet bool
}

func (v NullableListCveIdsResponseCveIdsInnerRequestedBy) Get() *ListCveIdsResponseCveIdsInnerRequestedBy {
	return v.value
}

func (v *NullableListCveIdsResponseCveIdsInnerRequestedBy) Set(val *ListCveIdsResponseCveIdsInnerRequestedBy) {
	v.value = val
	v.isSet = true
}

func (v NullableListCveIdsResponseCveIdsInnerRequestedBy) IsSet() bool {
	return v.isSet
}

func (v *NullableListCveIdsResponseCveIdsInnerRequestedBy) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableListCveIdsResponseCveIdsInnerRequestedBy(val *ListCveIdsResponseCveIdsInnerRequestedBy) *NullableListCveIdsResponseCveIdsInnerRequestedBy {
	return &NullableListCveIdsResponseCveIdsInnerRequestedBy{value: val, isSet: true}
}

func (v NullableListCveIdsResponseCveIdsInnerRequestedBy) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableListCveIdsResponseCveIdsInnerRequestedBy) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


